List Incidents
get
/public/v1/incidentspage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of IncidentResource
dataobject[]required▶Show 13 child attributesHide child attributes
idstringrequiredExample:i1n2c3i4-d5e6-47n8-9t0a-1b2c3d4e5f6greferencestringrequiredExample:INC-2024-00456typestringrequiredExample:participanttimestringrequiredExample:2024-01-15T10:30:00+00:00reportablestringrequiredExample:noreportable_typestring | nullrequiredExample:restrictive_practicedetailsstringrequiredExample:Something happened during a sessionfollow_up_detailsstring | nullrequiredExample:Follow up actions were takenstatusstringrequiredExample:reportedseveritystring | nullrequiredExample:lowcompleted_atstring | nullrequiredExample:2024-02-01T09:00:00+00:00form_submissionobject | nullrequired▶Show 1 child attributesHide child attributes
idstringrequiredExample:f5a6b7c8-d9e0-41f2-a3b4-c5d6e7f8a9b0
created_atstringrequiredExample:2024-01-15T10:30:00+00:00
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error